%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  basemodels
%global packver   1.1.0
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.1.0
Release:          1%{?dist}%{?buildtag}
Summary:          Baseline Models for Classification and Regression

License:          MIT + file LICENSE
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel
Requires:         R-core
BuildArch:        noarch
BuildRequires:    R-stats 
Requires:         R-stats 

%description
Providing equivalent functions for the dummy classifier and regressor used
in 'Python' 'scikit-learn' library. Our goal is to allow R users to easily
identify baseline performance for their classification and regression
problems. Our baseline models use no predictors, and are useful in cases
of class imbalance, multiclass classification, and when users want to
quickly identify how much improvement their statistical and machine
learning models are over several baseline models. We use a "better"
default (proportional guessing) for the dummy classifier than the 'Python'
implementation ("prior", which is the most frequent class in the training
set). The functions in the package can be used on their own, or introduce
methods named 'dummy_regressor' or 'dummy_classifier' that can be used
within the caret package pipeline.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
